WESNOTHD(6)

NAVN
wesnothhd - Kampen om Wesnoth flerspiller netværksdæmon

SYNOPSIS
wesnothd [-dv] [-c sti] [-p port] [-t nummer] [-T nummer]
wesnothd -V

BESKRIVELSE
Håndterer flerspillers-sessioner af Kampen om Wesnoth. Se http://www.wesnoth.org/wiki/ServerAdministration for hvilke kommandoer serveren accepterer via wesnoth-klienten eller soklen.

TILVALG

-c, sti, --config sti
    fortæller wesnothd hvor den skal finde konfigurationsfilen. Se afsnittet SERVERINDSTILLING nedenfor for syntaks. Du kan hente konfigurationen ved at sende SIGHUP til serverprocessen.

-d, --daemon
    kør wesnothd som en dæmon.

-h, --help
    fortæller dig hvad kommandolinje-tilvalgene gør.

--log-level=domain1,domain2,...
    indstiller strenghedsniveauet på fejlsøgningsdomænerne. all kan bruges til alle fejlsøgningsdomæner. Tilgængelige niveauer: fejl, advarsel, info, fejlsøgning. Som standard bruges fejl-niveauet og info-niveauet for server-domænet.

-p, port, --port port
    tildeler serveren til den specificerede port. Hvis ingen port er specificeret vil port 15000 blive anvendt.

-t, nummer, --threads nummer
    indstiller det maksimale antal af ventende tråde til netværk I/O til n (standard: 5, maks: 30).

-T nummer, --max-threads nummer
    indstiller det maksimale antal af tråde som bliver lavet. Hvis den sættes til 0 vil der ikke være en begrænsning (standard: 0).

-V, --version
    viser versionsnummer og afslutter.

-v, --verbose
    tænder for mere uddybende log.

SERVERINDSTILLING

  Den generelle syntaks er:

[tag]

    nøgle="værdi"

    nøgle="værdi,værdi,..."

[/tag]

  Globale nøgler:

connections_allowed
    Antallet af tilladte forbindelser fra samme IP. 0 betyder uendelig. (standard: 5)

disallow_names
    Navne som ikke accepteres af serveren. `*' og `?' fra wildcard mønstre er understøttet. Se glob(7) for flere detaljer. Standardværdier (anvendes hvis intet er anført) er: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

max_messages
    Antallet af tilladte beskeder i messages_time_period. (Standard: 4)

messages_time_period
    Tidsperioden (i sekunder) hvor beskeders flooding registreres. (Standard: 10 sekunder)

motd
    Dagens besked.

passwd
    Adgangskoden der giver administratorrettigheder. Starter normalt med `admin '.

versions_accepted
    En kommasepareret liste af versionsstrenge som accepteres af serveren. `*' og `?' er understøttet. (standarder for de tilsvarende wesnoth versioner)
    Eksempel: versions_accepted="*" acceptere enhver versionsstreng.

  Globale mærker:

[redirect] Et mærke som specificerer en anden server hvortil visse klientversioner omdirigeres.

    host
        Adressen på serveren der omdirigeres til.

    port
        Forbindelsesport.

    version
        En kommasepareret liste af versioner som omdirigeres. Fungerer på samme måde som versions_accepted i forhold til wildcard patterns.

[proxy] Et mærke som fortæller serveren den skal fungere som en proxy og og videresende den forbundne klients forespørgsler til den specificerede server. Accepterer de samme nøgler som [redirect].

FORFATTER
Skrevet af David White <davidnwhite@verizon.net>. Redigeret af Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> og Soliton <soliton.de@gmail.com>. Denne manualside blev først skrevet af Cyril Bouthors <cyril@bouthors.org>.
Besøg den officielle hjemmeside: http://www.wesnoth.org/

OPHAVSRET
Ophavsret © 2003-2007 David White <davidnwhite@verizon.net>
Dette er fri programmel; programmellet er udgivet under GPL version 2, der er offentliggjort af Free Software Foundation. Der er ingen garanti; selv ikke for at spillet virker eller kan bruges til en konkret formål.

SE OGSÅ
wesnoth(6), wesnoth_editor(6)